# -*- coding: utf-8 -*-
"""静态配置"""

PAGE_SIZE = 10

# 行业分类
industry_map = {
    1001: u"IT服务",
    1002: u"制造业",
    1003: u"批发/零售",
    1004: u"生活服务",
    1005: u"文化/体育/娱乐业",
    1006: u"建筑/房地产",
    1007: u"教育",
    1008: u"运输/物流/仓储",
    1009: u"医疗",
    1010: u"政府",
    1011: u"金融",
    1012: u"能源/采矿",
    1013: u"农林渔牧",
    1014: u"其他行业",
}

model_type_classic = 1001
model_type_machine = 1002
model_type_map = {
    model_type_classic: u"经典算法",
    model_type_machine: u"机器学习",
}

# 1000/all/默认, 1001/在线，1002/离线，1003/运行中，1004/故障
device_status_default = 1000
device_status_online = 1001
device_status_offline = 1002
device_status_ongoing = 1003
device_status_error = 1004
device_status_map = {
    1000: u"全部",
    1001: u"在线",
    1002: u"离线",
    1003: u"运行中",
    1004: u"故障",
}

# 系统状态
system_status_not_active = 9000  # 未激活
system_status_activated = 9001  # 已激活
system_status_expire_atall = 9003  # 完全过期

op_type_add = 1001  # 新增
op_type_add_str = u"新增"

op_type_edit = 1002  # 编辑
op_type_edit_str = u"编辑"

op_type_list = 1003  # 查询
op_type_list_str = u"查询"

op_type_delete = 1004  # 删除
op_type_delete_str = u"删除"

op_type_upload = 1005  # 上传
op_type_upload_str = u"上传"

op_type_map = {
    op_type_add: op_type_add_str,
    op_type_edit: op_type_edit_str,
    op_type_list: op_type_list_str,
    op_type_delete: op_type_delete_str,
    op_type_upload: op_type_upload_str,
}
